Net::Packet::PPPLCP(3)

NAME
Net::Packet::PPPLCP - PPP Link Control Protocol layer 3 object

SYNOPSIS
   use Net::Packet::Consts qw(:ppplcp);
   require Net::Packet::PPPLCP;

   # Build a layer
   my $layer = Net::Packet::PPPLCP->new(
      code        => NP_PPPLCP_CODE_ECHO_REQUEST,
      identifier  => 1,
      length      => NP_PPPLCP_HDR_LEN,
      magicNumber => 0xffffffff,
   );
   $layer->pack;

   print 'RAW: '.unpack('H*', $layer->raw)."\n";

   # Read a raw layer
   my $layer = Net::Packet::PPPLCP->new(raw => $raw);

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the PPP Link Control Protocol layer.

See also Net::Packet::Layer and Net::Packet::Layer3 for other attributes and methods.

ATTRIBUTES

code - 8 bits
identifier - 8 bits
length - 16 bits
magicNumber - 32 bits

METHODS

new Object constructor. You can pass attributes that will overwrite default ones. Default values:

    code: NP_PPPLCP_CODE_ECHO_REQUEST

    identifier: 1

    length: NP_PPPLCP_HDR_LEN

    magicNumber: 0xffffffff

pack
    Packs all attributes into a raw format, in order to inject to network. Returns 1 on success, undef otherwise.

unpack
    Unpacks raw data from network and stores attributes into the object. Returns 1 on success, undef otherwise.

CONSTANTS
Load them: use Net::Packet::Consts qw(:ppplcp);

NP_PPPLCP_HDR_LEN
    PPP LCP header length.

NP_PPPLCP_CODE_ECHO_REQUEST
NP_PPPLCP_CODE_ECHO_REPLY
    Various supported PPP LCP codes.

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2004-2009, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.

RELATED MODULES
NetPacket, Net::RawIP, Net::RawSock